* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

.containerGlobal {
    width: 100%;
    height: 200vh;
    background-color: rgb(135, 206, 235);
    margin-top: 60vw;
}


.container {
    display: flex;
    flex-direction: column;
    width: 92%;
    margin: 0 4%;
    background-color: white;
    height: 210vh;
    position: relative;
    top: -13vh;
}

.textInfo {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;

    color: white;

    width: 70%;
    margin: 0 15%;
    height: 15vh;
    background-color: rgb(0, 0, 57);
    position: relative;
    top: -7.5vh;
}

.borne-details {
    background-color: #fff;
    border: 1px solid #e0e0e0;
    border-radius: 4px;
    font-family: 'Arial', sans-serif;
    padding: 16px;
    margin: 16px 0;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);

    h2 {
        color: #000; // Black for the title to stand out
        font-size: 20px; // Size similar to major headings on the site
        font-weight: bold; // Bold for importance
        margin-bottom: 8px; // Space after the heading
    }

    p {
        color: #333; // A slightly lighter shade of black for text
        font-size: 14px; // Standard text size
        line-height: 1.6; // Increased line-height for readability
        margin-bottom: 4px; // Space after each paragraph

        &:last-child {
            margin-bottom: 0; // No space after the last paragraph
        }
    }
}


@keyframes slideInFromLeft {
    0% {
        transform: translateX(-100%);
    }

    100% {
        transform: translateX(0);
    }
}

.borne-details {
    animation: 0.5s ease-out 0s 1 slideInFromLeft;
    position: relative;
    left: 0;
    bottom: 0;
    z-index: 1;

    width: auto;
}

.borne-details-hidden {
    transform: translateX(-100%);
}

.borne-details-visible {
    animation: 0.5s ease-out 0s 1 slideInFromLeft;
}

.background-video {
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
}

.mapContainer {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

.listeData {
    padding: 1.5em;
    list-style-type: none;
    background-color: lightgray;
    border: 2px solid gray;
    border-radius: 10px;
}

.ulData {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

// ICI CODE DARK MODE 
.containerGlobal.dark-mode .container {
    background-color: black;
    color: white;
}

.containerGlobal.dark-mode {
    background-color: rgb(37, 62, 72);
}

.containerGlobal.dark-mode .container .mapContainer #map {
    border: solid white 4px;
}

.divDescription {
    padding: 4em;
}

.select {
    width: 30%;
    margin: 4em;
}

.containerGlobal.dark-mode .container .select {
    border: white 2px solid;
    background-color: black;
    color: white;
}

@media screen and (max-width: 1000px) {
    .containerGlobal.dark-mode .container {
        margin: 0;
        width: 100%;
    }
    .containerGlobal .container {
        margin: 0;
        width: 100%;
    }
}
